#------------------------------------------------------------------------------
# gets level of caller procedure (NB: works only when message without arguments)
#------------------------------------------------------------------------------
proc @getCallerLevel {} {
  set cmd "uplevel info level"
  set currentLevel [eval $cmd]
  set currentMessage [eval $cmd 0]
  if [regexp {^@} $currentMessage] {
    set selector [lindex [split [lindex $currentMessage 0] ,] end]
    set object [lindex $currentMessage end]
    set msg "$object $selector"
    set level $currentLevel
    while {$level > 0} {
      if [catch {
        set level [eval $cmd]
        set message [eval $cmd 0]
      } err] {
        return 0
      } elseif {"$msg" == "$message"} {
        #- maybe called by unknown
        set cmd "uplevel $cmd"
        if [catch {
          set level [eval $cmd]
          set message [eval $cmd 0]
        } err] {
          return $level
        } elseif {"unknown $msg" == "$message" \
           || "::unknown $msg" == "$message"} {
          return [expr $level -1]
        } else {
          return $level
        }
      }
      set cmd "uplevel $cmd"
      incr level -1
    }
  }
  return
}

