proc @import {string} {
  upvar #0 @RUNTIME RUNTIME

  set package [@getPackageFromClass $string]
  set class [@getClassFromClass $string]

  @package $package

  if [regexp {\*} $class] {
    #- listing all classes from package
    foreach path $RUNTIME(path) {
      set f {}
      if [file isdirectory [set f [file join $RUNTIME(directory) $path $package]]] {
      } elseif [file isdirectory [set f [file join $RUNTIME(directory) $package]]] {
      } elseif [file isdirectory [set f [file join $path $package]]] {
      }
    }
    if [string length $f] {
      set files {}
      set classes {}
      if [llength [set _files [glob -nocomplain [file join $f interface *.tcl]]]] {
        foreach f $_files { lappend files $f }
      }
      if [llength [set _files [glob -nocomplain [file join $f *.tcl]]]] {
        foreach f $_files { lappend files $f }
      }
      foreach file $files {
        set _class [join [lreplace [split [file tail $file] .] end end] .]
        lappend classes $_class
      }
      foreach _class $classes {  
        @class $_class
      }
    }
  } else {
    @class $class
  }
}
