
#---------------------------------------------
# creates new instance from a class template
#---------------------------------------------
proc @newInstanceFromClass { class } {
  upvar #0 @$class CLASS

  set id id[@nextId]
  upvar #0 @$id ID

  foreach var $CLASS(instance,variables) {
    if [regexp {^@([^$]+)$} $var -> arrayName] {
      upvar #0 @${id}@${arrayName} myArray

      #- workaround to set the array under Windows
      set myArray(foo) bar
      unset myArray(foo)
    } else {
      set ID($var) {}
    }
  }
  set ID(class) $class

  proc $id { {args {}} } {
    @sendMessageToObject [lindex [info level 0] 0] $args
  }

  set id
}
