source ../main.tcl

set tnmVersion [package require Tnm]
set tnmVersionMajorNumber [lindex [split $tnmVersion .] 0] 
catch {namespace import Tnm::*}

foreach version {v1 v2c} {
  switch $tnmVersionMajorNumber {
    2 { 
      set s [snmp session -version SNMP$version -port 162] 
      $s bind "" trap {NewTrap %S %T %A [list %V]}
    }
    3 { 
      set s [snmp listener -version SNMP$version] 
      $s bind trap {NewTrap %S %T %A [list %V]}  
    }
  }
}

proc NewTrap {session trap ip varbindlist} {
  global table
  $table add: [list $ip $trap $varbinlist]
}

set table [[TableBox new] show]
$table columns: {IP TRAP VARBIND_LIST}

