@protocol Object {

  + self ;
  - self ;

  - copy ;

  + class ;
  - class ;

  + superclass ;
  - superclass ;

  + isKindOfClass: aClass ;
  - isKindOfClass: aClass ;

  + isMemberOfClass: aClass ;
  - isMemberOfClass: aClass ;

  + conformsTo: aProtocol ;
  - conformsTo: aProtocol ;

  + respondsTo: aSelector ;
  - respondsTo: aSelector ;

}
