source ../../oo.tcl

myPort = 2002

@implementation Server (EchoServer) {
  - handleRequest:fromSocket:address:andPort: {
      aRequest aSocket anAddress aPort
    } {
      puts stderr "got \"$aRequest\" from: $anAddress port: $aPort"
      if {"$aRequest" != "shutdown"} {
        if [$self isEncrypted] { aRequest encrypt }
        puts $aSocket $aRequest
        flush $aSocket
      } else {
        close $aSocket
        [$self close] dealloc
      }
    }
}

server = [[[Server new] port: $myPort] start]
