#--------------------------------
# extract arguments from message
#--------------------------------
proc @args { {message {}} } {
  set args {}
  if {![regexp : $message]} {
    set args [lrange $message 1 end]
  } elseif [string length [string trim $message { }]] {
    foreach {field value} $message {
      if {![regexp : $field]} { lappend args $field }
      lappend args $value
    }
  }
  set args
}