
proc @ {} {
  uplevel #0 {
    #- setting library main directory
    set @RUNTIME(directory) [file dirname [info script]]
    if {[set @RUNTIME(directory)] == "."} {
      set @RUNTIME(directory) [pwd]
    } elseif {[set @RUNTIME(directory)] == ".."} {
      set @RUNTIME(directory) [file dirname [pwd]]
    }

    #- listing runtime files to load
    set @RUNTIME(files) {
      util.tcl syntax.tcl path.tcl package.tcl 
      selector.tcl args.tcl class.tcl 
      interface.tcl variablesAccess.tcl implementation.tcl 
      nextId.tcl newInstance.tcl callerLevel.tcl sendMessage.tcl
      import.tcl dumpRuntime.tcl doc.tcl tk.tcl
    }

    #- loading runtime files if we are coming from main.tcl file
    if {[file tail [info script]] == "main.tcl"} {
      foreach file [set @RUNTIME(files)] {
        source [file join [set @RUNTIME(directory)] $file]
      } 
    }
  }
}
@