#-------------------------------
# extract selector from message
#-------------------------------
proc @selector { {message {}} } {
  set selector {}
  if [string length [string trim $message { }]] {
    if {![regexp : $message]} {
      set selector [lindex $message 0]
    } else {
      foreach {field value} $message {
        if [regexp : $field] { append selector $field }
      }
    }
  }
  set selector
}
